Summary: Place proper security settings on pcp
%define name pcp-config
%define version 2.3.0
%define release 9x.1
Name: %{name}
Version: %{version}
Release: %{release}
Copyright:GPL
Group: Fermi
Packager: Troy Dawson <dawson@fnal.gov>
Source: %{name}-%{version}.tar.gz

%description
This rpm has some generic pcp settings that allow only accesses from certain
fermilab network domains.  It also makes it so that machine doesn't need the
c compiler.

%prep
%setup

%install
install -m 0644 root /var/pcp/pmns/root.config
install -m 0644 root.bin /var/pcp/pmns/root.bin.config
install -m 0644 stdpmid /var/pcp/pmns/stdpmid.config
install -m 0644 pmcd.conf.generic /var/pcp/config/pmcd/pmcd.conf.generic
install -m 0644 pmcd.conf.cdf /var/pcp/config/pmcd/pmcd.conf.cdf
install -m 0644 pmcd.conf.d0 /var/pcp/config/pmcd/pmcd.conf.d0
install -m 0644 pmcd.conf.ft /var/pcp/config/pmcd/pmcd.conf.ft
install -m 0644 pmcd.conf.pro /var/pcp/config/pmcd/pmcd.conf.pro
install -m 0700 install /usr/sbin/install-pcp-config
install -m 0700 uninstall /usr/sbin/uninstall-pcp-config

%post
/usr/sbin/install-pcp-config generic

%files
/var/pcp/pmns/root.config
/var/pcp/pmns/root.bin.config
/var/pcp/pmns/stdpmid.config
/var/pcp/config/pmcd/pmcd.conf.generic
/var/pcp/config/pmcd/pmcd.conf.cdf
/var/pcp/config/pmcd/pmcd.conf.d0
/var/pcp/config/pmcd/pmcd.conf.ft
/var/pcp/config/pmcd/pmcd.conf.pro
/usr/sbin/install-pcp-config
/usr/sbin/uninstall-pcp-config
